package com.mycompany.glassfishcontextparams;

import java.io.IOException;
import java.io.PrintWriter;
import java.util.Enumeration;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.servlet.ServletConfig;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

public class ParamsServlet extends HttpServlet {
    
    private static final Logger logger = Logger.getLogger(ParamsServlet.class.getName());

    @Override
    public void init(ServletConfig config) throws ServletException {
        super.init(config);
        
        logger.log(Level.INFO, "config parameter names:");
        Enumeration<String> s = config.getInitParameterNames();
        while (s.hasMoreElements()) {
            String n = s.nextElement();
            logger.log(Level.INFO, "(config) Name: {0}, value: {1}", new String[]{n, config.getInitParameter(n)});
        }
    }
    
    @Override
    protected void doGet(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {    
        PrintWriter out = resp.getWriter();
        ServletContext ctx = getServletContext();
        Enumeration<String> s = ctx.getInitParameterNames();while (s.hasMoreElements()) {
            String n = s.nextElement();
            logger.log(Level.INFO, "(ctx) Name: {0}, value: {1}", new String[]{n, ctx.getInitParameter(n)});
            out.println("Name: " + n + ", value: " + ctx.getInitParameter(n));
        }
    }

    
    
}
